<section class="section-diamond-shape">
    <div class="container">
        <div class="find_diamond">
            <h2 class="section_title">{{ section.settings.title }}</h2>
            <p class="find_diamond_desc">{{ section.settings.description }}</p>
            <div class="find_diamond_type d-flex justify-content-between">
                {% if section.blocks != blank %}
                    {% for block in section.blocks %}
                        {% if block.settings.shape_icon != blank %}
                            <a href="#" class="d-flex flex-column">
                                <img src="{{ block.settings.shape_icon | img_url }}" alt="{{ block.settings.shape_title }}">
                                <span class="find_diamond_name">{{ block.settings.shape_title }}</span>
                            </a>
                        {% endif %}
                    {% endfor %}
                {% endif %}
            </div>
            {% if section.settings.button_link != blank %}
                <a href="{{ section.settings.button_link }}" class=" btn btn_primary_dark">{{ section.settings.button_text }}</a>
            {% endif %}
        </div>
    </div>
</section>

{% schema %}
{
  "name": "Home Diamond Shape",
  "class": "home-diamond-shape",
  "tag": "section",
  "settings": [
    {
      "type": "text",
      "id": "title",
      "label": "Title"
    },
    {
      "type": "html",
      "id": "description",
      "label": "Description"
    },
    {
      "type": "text",
      "id": "button_text",
      "label": "Button text"
    },
    {
      "type": "url",
      "id": "button_link",
      "label": "Button link"
    }
  ],
  "blocks": [
    {
      "name": "Shape",
      "type": "shape",
      "settings": [
        {
          "type": "image_picker",
          "id": "shape_icon",
          "label": "Shape Icon"
        },
        {
          "type": "text",
          "id": "shape_title",
          "label": "Shape Title"
        }
    ]
  }
],
  "presets": [
    {
      "name": "Home Diamond Shape",
      "category": "JSON Pages"
    }
  ]
}
{% endschema %}